Update a volume discount
Updates an existing volume discount.
PUT
/volume_discounts/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredID of the volume discount to update.
Request body
requiredapplication/jsonshop_idintegerrequiredID of the shop to create the volume discount in
namestringrequireddiscount_typestringDiscount type.
cumulative_modestringOmit for non-cumulative
Allowed:
within_productglobalapply_on_tier_start_onlybooleantiersobject[]requiredShow propertiesHide properties
Array of
objectfromintegerUnits in cart at which this tier starts applying
valueintegerDiscount value for this tier
Responses
200
Volume discount updated
_linksHalLinksidintegernamestringdiscount_typestringapply_modestringrepeating_tierbooleantiersobjectKeyed by tier boundary — not an array.
cumulativebooleancumulative_modestringavailable_forstringcreated_atstring<date-time>updated_atstring<date-time>404
Volume discount not found